# Thank you for downloading our Wizarducks Demo

Please be sure that you got this copy from [our web site](www.wizarducks.com), [the Steam page](https://store.steampowered.com/app/2769920/Wizarducks_and_the_Lost_Hat), or one of the recommended places on this website such as the Steam page. If you got it from anywhere else, someone is probably trying to rip you off. You should probably go yell at them and I should probably go send them a DMCA.

Any doubts contact us on [Twitter](https://twitter.com/wizarducks1) or our [Discord server]( https://discord.gg/GZ2PtU3NT6).

# System requirements

Spoiler: they're not high.

To run the game you need something equivalent to a Raspberry Pi 4 Model B or better. If you're reading this, I'm assuming you've already fulfilled that requirement. More about the Raspberry Pi at the bottom.

One would hope pretty much any person with access to a computer that costs more than US$40 meets the min spec here easily, but yes, I do read the computer descriptions that people give me during playtesting so some of you might want to read carefully.

**Min spec**

 - All versions require a 64-bit operating system; to the [currently 1 in \*squints\* 1650 of you](https://store.steampowered.com/hwsurvey/Steam-Hardware-Software-Survey-Welcome-to-Steam) who run Windows 7 32-bit, I'm so sorry.
 - CPU: yes
 - RAM: 1 GBish
 - GPU: yes
 - A display size of 1280 x 720

The graphics API used by Windows is DirectX 11. Requires Windows 7 or later.

Supports mouse and keyboard input, and most gamepads that aren't totally weird.

**Recommended spec**

 - 64-bit operating system
 - CPU: 6th-gen Intel Core CPU or later
 - RAM: 1 GBish
 - GPU: Preferably a discrete card but honestly the Radeon 780M comes close to beating out my 1060 these days so what do I know
 - A display size of 1366 x 738

On first run, the game will attempt to auto-detect the settings it should default to in order to stay close to 60 FPS but after that you can change them to whatever you want.

### Linux Build

AppImages are a universal package on Linux builds. They should run on base Debian/Ubuntu, Arch, Solus, or anything else.

The AppImage may not be executable automatically. If that happens, you will need to need to set the permissions. 
Usually the way to do it with an user interface is:

Right click the file -> Permissions -> Check the execute option.

You can also open the terminal in the folder you have the file if you think doing that makes you cooler.

```
chmod +x Wizarducks_(latest).AppImage
```

### Windows Build

Right click the file to unzip it. Run the .exe fle.

### Raspberry Pi Build

The Raspberry Pi build is **64-bit ARM Linux software.** I periodically ask Yoyo Games about ARM AppImage build tools, but we're still waiting on that.

The game was tested on a Raspberry Pi 4 and a Raspberry Pi 5, both with 4 GB of RAM. At the default settings, the game was generally stable at 29~31 FPS on the 4 and 60 on the 5.

You're likely going to want to have a few dependencies installed. These include:

    build-essential
    openssh-server
    clang
    libssl-dev
    libxrandr-dev
    libxxf86vm-dev
    libopenal-dev
    libgl1-mesa-dev
    libglu1-mesa-dev
    zlib1g-dev
    libcurl4-openssl-dev
    ffmpeg

Other ARM distros may or may not work. Other ARM single-board computers with similar specs to the Raspberry Pi 4 will probably work. Older Raspberry Pi models may work, and if you have a keen sense of adventure (or are just really, really bored) you can try it anyway. Nothing besides the Raspberry Pi OS on a 4 or 5 will be officially supported at this time.

Having a heat sink or a cooling fan on your Pi helps immensely, as the Pi in general is susceptible to thermal throttling after about ten seconds of active use.

To run the game on the Raspberry, just open the terminal in the same folder the game is located and run

```
chmod +x (executable file name)
./(executable file name)
```

**Min spec**

 - Raspberry Pi 4 (4 GB)

The game will detect if you're running on an RP4 and change a few settings to ensure that the VideoCore VI doesn't burst into flames.

**Recommended spec**

 - Raspberry Pi 5 (4 GB)

## Final Thoughts

Any time you input into this project of ours is pure gold for us. We've been dedicating ourselves as we can despite major issues affecting our lives since before the pandemic started. Please check our website and Discord to give us feedback. Your thoughts are very valuable, even the ones you might disregard.

If nothing else we'd enjoy it if you posted something relevant in the cute animals channel.

Our sincere gratitude,

The Wizarducks Team
